Bug 1542244 (CVE-2018-6519)

Summary: CVE-2018-6519 php-simplesamlphp-saml2: Denial of Service in xs:DateTime timestamp in SAML2 library
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: lpardo, shawn
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180125,reported=20180202,source=cve,cvss3=5.7/CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:U/C:N/I:N/A:H,cwe=CWE-185,fedora-all/php-simplesamlphp-saml2=affected,epel-all/php-simplesamlphp-saml2=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-25 15:07:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1542245, 1542246    
Bug Blocks:    

Description Laura Pardo 2018-02-05 22:07:01 UTC
The SAML2 library before 1.10.4, 2.x before 2.3.5, and 3.x before 3.1.1 in SimpleSAMLphp has a Regular Expression Denial of Service vulnerability for fraction-of-seconds data in a timestamp. When parsing a timestamp contained inside a SAML document, the SAML2 library uses a regular expression to validate its format and parse its components. The given regular expression sets no limits for the fraction of seconds part, such that an arbitrary amount of digits can be processed. This opens up the possibility to perform a denial of service attack by sending a large number of digits as the fraction of a second in a timestamp, making the processing script choke while evaluating the regular expression.

References:
https://simplesamlphp.org/security/201801-01

Comment 1 Laura Pardo 2018-02-05 22:07:47 UTC
Created php-simplesamlphp-saml2 tracking bugs for this issue:

Affects: epel-all [bug 1542245]
Affects: fedora-all [bug 1542246]

Comment 2 Shawn Iwinski 2019-02-23 07:32:15 UTC
All dependent bugs have been closed.  Can this bug be closed as well?

Comment 3 Laura Pardo 2019-02-25 15:07:21 UTC
In reply to comment #2:
> All dependent bugs have been closed.  Can this bug be closed as well?

Yes. Closing